aboutsummaryrefslogtreecommitdiff
path: root/test/oryx/test.sh
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2022-05-27 21:27:17 +0300
committerGitHub <noreply@github.com>2022-05-27 21:27:17 +0300
commitcb6a53949966af46935dd17cc43b5ddc0498b354 (patch)
treedb10fd6eda9b931c8f259a1a0b1fcc297cc8b106 /test/oryx/test.sh
parente496022c568e9f6f42b41cda37f8d2e929eb3564 (diff)
Add oryx feature (#27)
* add oryx * modify oryx sh * add oryx in matrix * install dotnet * fix permission * test * test 2 * test 3 * fix dotnet * fix oryx * fix * fix path issues + debugging * remove debugging * add oryx test to actions * fix test * modify test * add $ * fix user * address comments * add repo * add wget * allow apt-update * add --no-check-certificate * install ca-certificates * install with another approach * fix infinite test runs * Update src/oryx/install.sh Co-authored-by: Josh Spicer <joshspicer@github.com> Co-authored-by: Josh Spicer <joshspicer@github.com>
Diffstat (limited to 'test/oryx/test.sh')
-rw-r--r--test/oryx/test.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/oryx/test.sh b/test/oryx/test.sh
new file mode 100644
index 0000000..fd3a955
--- /dev/null
+++ b/test/oryx/test.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "Oryx version" oryx --version
+check "Dotnet version" dotnet --version
+check "ORYX_SDK_STORAGE_BASE_URL" echo $ORYX_SDK_STORAGE_BASE_URL
+check "ENABLE_DYNAMIC_INSTALL" echo $ENABLE_DYNAMIC_INSTALL
+
+# Report result
+reportResults \ No newline at end of file